import { BehaviorSubject, ReplaySubject } from 'rxjs';
export declare class DataStoreService {
    private navbarVisibility;
    private currentUser;
    private allowedActions;
    constructor();
    showNavbar(shouldNavbarBeVisible: boolean): void;
    getNavbarState(): BehaviorSubject<boolean>;
    getCurrentUser(): ReplaySubject<any>;
    setCurrentUser(value: any): void;
    getAllowedActions(): ReplaySubject<Object>;
    setAllowedActions(value: Object): void;
}
