import { OnInit } from '@angular/core';
import { BaseFieldComponent } from '../../classes/field';
import { FormBuilder, FormControl } from '@angular/forms';
import { FormService } from '../../services/form.service';
import { DateAdapter } from '@angular/material/core';
import { TranslationService } from '../../services/translation.service';
export declare class DateInputComponent extends BaseFieldComponent implements OnInit {
    fb: FormBuilder;
    fs: FormService;
    private dateAdapter;
    ts: TranslationService;
    constructor(fb: FormBuilder, fs: FormService, dateAdapter: DateAdapter<any>, ts: TranslationService);
    ngOnInit(): void;
    isMoment(date: FormControl): void;
    keyup(): void;
    keydown(): void;
}
